%define aurox_ver 11.0
%define rel 1

%define with_xfs 1
%define with_jfs 1
%define with_reiserfs 1
%define with_ntfs 1


%define	name	qtparted
%define	ver	0.4.4
%define	prefix	/usr
%define	sbindir /sbin
%define desktop_vendor aurox

Summary: 	QtParted
Name: 		%{name}
Version: 	%{ver}
Release: %{aurox_ver}.aur.%{rel}
Source:		qtparted-%{ver}.tar.bz2
Source1:	qtrc
#Patch:		qtparted-0.3.2-df.patch
Patch1:		qtparted-0.4.4-kdesu-fix.patch
URL: 		http://qtparted.sourceforge.net/
BuildRoot: 	%{_tmppath}/%{name}-root
License: 	GPL
Group: 		Applications/System
Requires:	parted >= 1.6.12
Requires:	qt >= 3.1
BuildRequires:	parted-devel >= 1.6.12
BuildRequires:	qt-devel >= 3.1, qt-designer >= 3.1
BuildRequires:	e2fsprogs-devel

%if %{with_ntfs}
BuildRequires:	ntfsprogs-devel >= 1.7.1
Requires:	ntfsprogs >= 1.7.1
%endif

%if %{with_xfs}
BuildRequires:	xfsprogs-devel
Requires:	xfsprogs
%endif

%if %{with_reiserfs}
BuildRequires:	libreiserfs-devel >= 0.3.0.4
Requires: 	reiserfs-utils >= 3.6.8
%endif

%if %{with_jfs}
BuildRequires:	jfsutils
Requires:	jfsutils
%endif

%description
QtParted is a nice graphical partition tool for Linux based on Parted.

%prep
%setup
#%patch -p1
%patch1 -p1
%build
PATH="$PATH:/sbin:/usr/sbin" %configure --prefix=%{prefix} --sbindir=%{sbindir}

make

%install
rm -rf "$RPM_BUILD_ROOT"
make DESTDIR="$RPM_BUILD_ROOT" install
mv $RPM_BUILD_ROOT/sbin/qtparted $RPM_BUILD_ROOT%{_sbindir}/qtparted

desktop-file-install \
   --vendor %{desktop_vendor} \
   --dir $RPM_BUILD_ROOT%{_datadir}/applications \
   --delete-original \
   --add-category "Application;System;X-KDE-Base;X-Aurox-Base" \
   $RPM_BUILD_ROOT%{_datadir}/applnk/System/%{name}.desktop
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/%{name}/qtrc

%clean
rm -rf "$RPM_BUILD_ROOT"

%post
if [ ! -f /root/.qt/qtrc ]; then
    mkdir -p /root/.qt
    cp -a %{_datadir}/%{name}/qtrc /root/.qt/qtrc
fi

%files
%defattr(-,root,root)
%doc AUTHORS COPYING INSTALL README TODO doc/BUGS
%{_mandir}/man1/%{name}.*
%{_sbindir}/qtparted
%{_sbindir}/run_qtparted
#%attr(755,root,root) %{_sbindir}/qtparted_df
%{_datadir}/%{name}
%{_datadir}/%{name}/*
%{_datadir}/pixmaps/%{name}.*
%{_datadir}/applications/%{desktop_vendor}-%{name}.desktop

%changelog
* Tue Aug 02 2005 Rafal Kwasny <rkwasny@aurox.org> 0.4.4-11.0.aur.1
- rebuild

* Tue Nov 09 2004 Aurox Team <aurox@aurox.org> 0:0.4.4-10.1.aur.1
- Rebuild against new parted.
- to avoid ugly font I have to do dirty hack (copy simple qtrc into root directory)
- in *.desktop entry there should be kdesu
- version 0.4.4
- added macros to decide which fs should be supported
- currently we have: reiserfs, jfs, ntfs, xfs

* Fri Sep 26 2003 Robert Glowczynski <robertg@software.com.pl> 0.3.2-9.1.aur.3
- Fix permissions of qtparted_df

* Fri Sep 26 2003 Robert Glowczynski <robertg@software.com.pl> 0.3.2-9.1.aur.2
- Fix qtparted_df (use exactly 1 line from df output)
- Do not remove program name from *.desktop file
- set root as file owner in the package files
- add docs

* Tue Sep 16 2003 Robert Glowczynski <robertg@software.com.pl> 0.3.2-9.1.aur.1
- Build for Aurox Live 9.1

* Sun Jun 08 2003 Francois Dupoux <fdupoux@partimage.org> 0.3.2
- First public version
